Page MenuHomePhabricator

LoadStoreVectorizer: Fix assert when merging pointer ops
ClosedPublic

Authored by arsenm on May 26 2016, 3:40 PM.

Details

Summary

This needs to use inttoptr/ptrtoint if combining an int and pointer load.

Also an additional bitcast if merging pointers and FP types

Diff Detail

Event Timeline

arsenm updated this revision to Diff 58706.May 26 2016, 3:40 PM
arsenm retitled this revision from to LoadStoreVectorizer: Fix assert when merging pointer ops.
arsenm updated this object.
arsenm added a reviewer: escha.
arsenm added a subscriber: llvm-commits.
arsenm updated this revision to Diff 58725.May 26 2016, 5:30 PM
arsenm edited edge metadata.

Always use ptrtoint for vectors of pointers instead

jlebar added a subscriber: jlebar.May 26 2016, 5:35 PM

Seems to work for me. Thank you! Sorry if I messed up the metadata in the other patch, phabricator is still very much a mystery to me.

jlebar accepted this revision.Jun 13 2016, 1:59 PM
jlebar added a reviewer: jlebar.
jlebar added inline comments.
test/Transforms/LoadStoreVectorizer/AMDGPU/pointer-elements.ll
223

Did you mean to resolve this before submitting?

This revision is now accepted and ready to land.Jun 13 2016, 1:59 PM
arsenm added inline comments.Jun 13 2016, 2:06 PM
test/Transforms/LoadStoreVectorizer/AMDGPU/pointer-elements.ll
223

No, I just want to get it all in and fix things incrementally

arsenm closed this revision.Jun 30 2016, 7:03 PM

r274321